import numpy as np

def gauss_func(x,y,z,Q,u,h,d,stab):
	
	sig_y, sig_z = sig_calc(x,stab)
	
	param1 = (((y**2.)) / (2.*sig_y**2.)) * (-1)

	zMinusH = z-h
	zMinusHSqr = zMinusH ** 2
	sigzSqr = sig_z ** 2
	sigzSqrx2 = sigzSqr * 2
	

	param2 = zMinusHSqr / sigzSqrx2
	param2 = param2 * -1
	 
	param3 = (((z+h)**2.)  / (2.*(sig_z**2.)) )* (-1)
	C = Q / (2.*np.pi*u*sig_y*sig_z)
	C *= np.e ** param1
	C = ((np.e ** param2) + (np.e ** param3)) * C
	
	#C *= np.exp(-(y**2.)/(2.*sig_y**2.))
	#C *= np.exp(-((z-h)**2)/(2.*sig_z**2.))
	#C *= np.exp(-((z+h)**2)/(2.*sig_z**2.))
	return C

def sig_calc(x,stab):
	a = [213,156,104,68,50.5,34]
	stb = ["A","B","C","D","E","F"]
	i = stb.index(stab)
	sig_y, sig_z = 0 , 0

	if x >= 1000:
		c = [440.8,106.6,61.0,33.2,22.8,14.35]
		d = [1.941,1.149,0.911,0.725,0.628,0.740]
		f = [9.27,3.3,0,-1.7,-1.3,-0.35]

		sig_y = a[i] * x ** 0.894
		sig_z = c[i] * x ** (d[i] + f[i])
	else:
		c = [459.7,108.2,61.0,44.5,55.4,62.6]
		d = [2.094,1.098,0.911,0.516,0.305,0.18]
		f = [-9.6,2.0,0,-13.0,-34.0,-48.6]

		sig_y = a[i] * (x ** 0.894)
		sig_z = c[i] * (x ** (d[i] + f[i]))
	return sig_y, sig_z	